Subject: [PATCH v2] ARM: l2c: Fix prefetch settings dt parsing

From: [email-masked] (Fabrice Gasnier)
Date: Thu, 12 Mar 2015 17:12:37 +0100

Hi Russel,

I just sent a V3 to follow your remark.
If this is ok, l'll add it to your patch system.

Thanks for your review.
BR,
Fabrice
On 03/12/2015 03:57 PM, Russell King - ARM Linux wrote:
> On Tue, Mar 10, 2015 at 09:59:01AM +0100, Fabrice GASNIER wrote:
>> Allow prefetch settings overriding by device tree, in case
>> l2x0_cache_size_of_parse() returns value, prefetch tuning
>> properties are silently ignored. E.g. arm,double-linefill* and
>> arm,prefetch*.
>> This happens for example, when "cache-size" or "cache-sets"
>> properties haven't been filled in l2c dt node.
>>
>> Signed-off-by: Fabrice Gasnier <[email-masked]>
>> Reviewed-by: Tomasz Figa <[email-masked]>
> Patch is okay, but I think the commit message needs to be better :)
>
> "Allow device tree to override the L2C prefetch settings, even when
> l2x0_cache_size_of_parse() fails to parse the cache geometry due to (eg)
> missing "cache-size" or "cache-sets" properties."
>
> I think with something along those lines, the patch can be put in my
> patch system for when I next get around to applying some kernel patches
> instead of reading email. :)
>
> Thanks.
>